#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
   int n;
   cin>>n;
   ll a[n];
   ll b[n];
   for(int i=0;i<n;i++){
       cin>>a[i];
   }
   for(int i=0;i<n;i++){
       cin>>b[i];
   }
   int mx=-1e9;
   int l=-1;
   for(int i=0;i<n;i++){
       if(mx<a[i]){
           mx=a[i];
           l=i;
       }
   }
   int sum1=0;
   int sum2=0;
   for(int i=0;i<l;i++){
    sum1+=b[i];   
   }
   for(int i=l+1;i<n;i++){
       sum2+=b[i];
   }
   cout<<min(b[l]*2,min(b[l]+sum1,b[l]+sum2));
	}


